# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TCLIService.GetTypeInfo_args

Packages that use TCLIService.GetTypeInfo_args
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TCLIService.GetTypeInfo_args in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TCLIService.GetTypeInfo_args in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`static class`
`TCLIService.AsyncProcessor.GetTypeInfo<I extends TCLIService.AsyncIface>`
`static class`
`TCLIService.Processor.GetTypeInfo<I extends TCLIService.Iface>`
Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TCLIService.GetTypeInfo_args
Modifier and Type
Class
Description
`static class`
`TCLIService.GetTypeInfo_args`
`static class`
`TCLIService.GetTypeInfo_args`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TCLIService.GetTypeInfo_args
Modifier and Type
Method
Description
`TCLIService.GetTypeInfo_args`
TCLIService.GetTypeInfo_args.`deepCopy()`
`TCLIService.GetTypeInfo_args`
TCLIService.AsyncProcessor.GetTypeInfo.`getEmptyArgsInstance()`
`TCLIService.GetTypeInfo_args`
TCLIService.Processor.GetTypeInfo.`getEmptyArgsInstance()`
`TCLIService.GetTypeInfo_args`
TCLIService.GetTypeInfo_args.`setReq(TGetTypeInfoReq req)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TCLIService.GetTypeInfo_args
Modifier and Type
Method
Description
`int`
TCLIService.GetTypeInfo_args.`compareTo(TCLIService.GetTypeInfo_args other)`
`boolean`
TCLIService.GetTypeInfo_args.`equals(TCLIService.GetTypeInfo_args that)`
`TCLIService.GetTypeInfo_result`
TCLIService.Processor.GetTypeInfo.`getResult(I iface, TCLIService.GetTypeInfo_args args)`
`void`
TCLIService.AsyncProcessor.GetTypeInfo.`start(I iface, TCLIService.GetTypeInfo_args args, org.apache.thrift.async.AsyncMethodCallback<TGetTypeInfoResp> resultHandler)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TCLIService.GetTypeInfo_args
Modifier
Constructor
Description
``
`GetTypeInfo_args(TCLIService.GetTypeInfo_args other)`
Performs a deep copy on other.